## vim-youcompleteme 0%2B20160327%2Bgit1b76af4

=== debian/changelog ===
vim-youcompleteme (0+20160327+git1b76af4-0ubuntu1) xenial; urgency=low

  [ Onur Aslan ]
  * New upstream release. (LP: #1538532)
  * Refresh patches for new upstreal release.
  * Remove 01-vim-expression-to-python-type.patch (fixed in upstream).
  * Update 00-path-to-server-script.patch to avoid using sys.executable
    for python interpreter path.
  * Update dependencies to use python3.
  * Run nosetests3 in override_dh_auto_test.

  [ Matthias Klose ]
  * Add breaks to vim-athena-py2, vim-gnome-py2, vim-gtk-py2, vim-nox-py2.
  * Use python3 for the packaging.

 -- Onur Aslan <onur@onur.im>  Fri, 01 Apr 2016 20:47:03 +0300

vim-youcompleteme (0+20160229+git94ec3ed-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Update ycmd dependency version in d/control.
  * Update 00-path-to-server-script.patch to set ycmd path in ycm.paths
    module.
  * Increase complexity for flake8 in d/rules override_dh_auto_test.
  * Use HTTPS URI's for Vcs-Git and Vcs-Browser fields.
  * Remove python-flake8 and add flake8 into Build-Depends.
  * Add 01-vim-expression-to-python-type.patch.

 -- Onur Aslan <onur@onur.im>  Tue, 29 Mar 2016 14:06:03 +0300

vim-youcompleteme (0+20151025+gitf20c693-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Update ycmd version in Build-Depends and Depends.
  * Add python-requests and python-requests-futures into Build-Depends.
  * Add retries to PYTHONPATH for nosetests.

 -- Onur Aslan <onur@onur.im>  Mon, 02 Nov 2015 13:41:28 +0300

vim-youcompleteme (0+20150806+gitc5a5145-1) unstable; urgency=low

  * New upstream release.
  * Add ycmd dependency version requirement.
  * override_dh_auto_test in debian/rules to enable tests.
  * Add python-flake8, python-hamcrest, python-mock, python-nose,
    python-flake8 and ycmd into Build-Depends for tests.
  * Add copyright info for: python/ycm/tests/vimsupport_test.py.
  * Update copyright years.

 -- Onur Aslan <onur@onur.im>  Fri, 07 Aug 2015 12:25:01 +0300

vim-youcompleteme (0+20150616+gitbc5f581-1) unstable; urgency=low

  * New upstream release. (Closes: #758021)
  * ycmd is separated from project and no longer part of this package.
    All patches, Build-Depends and Depends related to ycmd have been removed.
  * Use dpt (debian-perl-tools) repack.sh to repack source in
    debian/rules get-orig-source.
  * Remove ycmd related overrides in debian/rules.
  * Remove examples and ycmd example: ycm_extra_conf.py
  * Update copyright information.
  * Add ycmd dependency.
  * Add python-requests-futures dependency. Remove embedded copy of
    python-requests-futures from source. (Closes: #780292)
  * Install python directory into /u/s/vim-youcompleteme/python/.
  * Package architecture is all now.
  * Update Vcs-Browser URL for cgit.
  * Replace python-dev dependency with python.

 -- Onur Aslan <onur@onur.im>  Mon, 13 Jul 2015 12:31:40 +0300

vim-youcompleteme (0+20140207+git18be5c2-2) unstable; urgency=low

  [ Onur Aslan ]
  * Enable tests for ycm_core
  * Add google-mock and libgtest-dev to Build-Depends
  * More detailed description for 00-build-system.patch
  * Override dh_auto_test to run ycm_core_tests
  * Use canonical URI in Vcs-Git
  * Add minimum version requirement to python-requests dependency
    (Closes: #745768)
  * Bump standards to 3.9.6

  [ Sebastian Ramacher ]
  * debian/patches/03-tempdir.patch: Update patch to fix issues with
    :YcmRestartServer if the temporary directory got deleted to early.
    (Closes: #745496)

 -- Onur Aslan <onur@onur.im>  Mon, 13 Oct 2014 21:19:31 +0300

vim-youcompleteme (0+20140207+git18be5c2-1) unstable; urgency=low

  [ Onur Aslan ]
  * New upstream version
  * Support for llvm-3.4 and llvm-3.5
  * Refresh and update patches for new upstream version:
    + 00-build-system.patch:
      - Remove BoostParts from target_link_libraries for both CLIENT_LIB
        and SERVER_LIB 
      - Remove Boost component thread and libboost-thread-dev from
        Build-Depends
      - Use cmake file function to find llvm include directory
      - Use additional clang versions (3.3, 3.4 and 3.5) in find_library
    + 01-script-folder-path.patch:
      - Use only one PYTHONPATH (/usr/lib/vim-youcompleteme) in vim plugin
        and python application
    + 02-default-conf.patch:
      - Set global_ycm_extra_conf in new configuration
  * New python dependencies
  * Install third party libraries into PYTHONPATH
  * Copyright information for third party libraries
  * Remove tests from final package
  * Exclude some third party libraries from orig.tar.gz, they already exist
    in Debian
  * Use minimum python version 2.7
  * Update Vcs-Git and Vcs-Browser fields

  [ Sebastian Ramacher ]
  * debian/patches/03-tempdir.patch: Use temporary directory instead of
    /tmp/ycm_temp so that names of edited files are not leaked to other users.

 -- Onur Aslan <onur@onur.im>  Thu, 13 Feb 2014 23:55:54 +0200

vim-youcompleteme (0+20131009+gitcbb43ba-1) unstable; urgency=low

  * Initial release. (Closes: #700217)

 -- Onur Aslan <onur@onur.im>  Tue, 17 Dec 2013 11:12:14 +0200
