## vim-youcompleteme 0%2B20190211%2Bgitcbaf813

=== debian/changelog ===
vim-youcompleteme (0+20190211+gitcbaf813-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0+20190211+gitcbaf813
    - Refresh patches
    - Drop (Build-)Depends on python3-frozendict
    - Update sign place regex pattern for vim >= 8.1.0614
  * Bump Standards-Version to 4.3.0 (no changes)

 -- David Kalnischkies <donkult@debian.org>  Thu, 14 Feb 2019 11:38:37 +0100

vim-youcompleteme (0+20181101+gitfaa019a-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sylvestre Ledru ]
  * New upstream release
    - Refresh path-to-server-script.patch

  [ David Kalnischkies ]
  * New upstream version 0+20181101+gitfaa019a
    - Use uscan to generate tarball from upstream git HEAD
    - Refresh path-to-server-script.patch
  * Depend on ycmd via ycmd-core-version provides (Closes: #912030)
  * Don't use dpkg-parsechangelog directly in debian/rules
  * Switch from debhelper 9 to 11
  * Bump Standards-Version to 4.2.1 (no changes)
  * Run nose-based tests at buildtime
  * Use https for upstream homepage
  * Set R³: no in debian/control

 -- David Kalnischkies <donkult@debian.org>  Sat, 03 Nov 2018 01:35:40 +0100

vim-youcompleteme (0+20161219+git194ff33-1) unstable; urgency=low

  * New upstream release. (Closes: #850013, #850113)
  * Refresh patches for new upstream release.
  * Replace ycmd dependency with latest version.

 -- Onur Aslan <onur@onur.im>  Thu, 26 Jan 2017 12:57:50 +0300

vim-youcompleteme (0+20160327+git1b76af4-2) unstable; urgency=low

  * Add python3 support. (Closes: #837646)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Onur Aslan <onur@onur.im>  Thu, 15 Sep 2016 12:05:01 +0300

vim-youcompleteme (0+20160327+git1b76af4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstreal release.
  * Remove 01-vim-expression-to-python-type.patch (fixed in upstream).
  * Update 00-path-to-server-script.patch to avoid using sys.executable
    for python interpreter path.
  * Add ycmd (<< 0+20160327+gitc3e6904.1) into Build-Depends and Depends.

 -- Onur Aslan <onur@onur.im>  Sat, 09 Apr 2016 12:24:46 +0300
