## vim-youcompleteme 0+20131009+gitcbb43ba

=== debian/control ===
Source: vim-youcompleteme
Section: editors
Priority: optional
Maintainer: Onur Aslan <onur@onur.im>
Build-Depends: debhelper (>= 9),
 cmake,
 python-dev,
 libclang-dev (>= 3.3),
 libboost-python-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev
Standards-Version: 3.9.5
Homepage: http://valloric.github.io/YouCompleteMe/
Vcs-Git: git://anonscm.debian.org/users/onur-guest/vim-youcompleteme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git

Package: vim-youcompleteme
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-jedi,
 vim-nox | vim-python
Recommends: vim-addon-manager
Description: fast, as-you-type, fuzzy-search code completion engine for Vim
 YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
 for Vim. It has several completion engines: an identifier-based engine
 that works with every programming language, a semantic, Clang-based
 engine that provides native semantic code completion for
 C/C++/Objective-C/Objective-C++ and an omnifunc-based completer that uses data
 from Vim's omnicomplete system to provide semantic completions for many
 other languages (Ruby, PHP etc.).
