## vim-youcompleteme 0+20140207+git18be5c2

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,29 @@
 Build-Depends: debhelper (>= 9),
  cmake,
  python-dev,
+ google-mock,
  libclang-dev (>= 3.3),
  libboost-python-dev,
  libboost-system-dev,
  libboost-filesystem-dev,
  libboost-regex-dev,
- libboost-thread-dev
-Standards-Version: 3.9.5
+ libgtest-dev
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 Homepage: http://valloric.github.io/YouCompleteMe/
-Vcs-Git: git://anonscm.debian.org/users/onur-guest/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
+ python-bottle,
+ python-futures,
  python-jedi,
+ python-requests (>= 2.2.1),
+ python-waitress,
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
