=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,22 @@
 	dh_install
 	# This file is an executable and it shouldn't be. It's a upstream bug
 	chmod a-x $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/cs/cs_completer.py
+	# No need to install tests
+	$(RM) -rv $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/all/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/completer_utils_test.py \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/cpp/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/general/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/server/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/test_utils.py
+
+override_dh_auto_test:
+	dh_auto_test
+	cd $(BUILD_DIR)/ycm/tests && ./ycm_core_tests
 
 get-orig-source:
 	TMPDIR=`mktemp -d -t`; \
-	git clone $(GIT_URL) $$TMPDIR; \
+	git clone --recursive $(GIT_URL) $$TMPDIR; \
 	cd $$TMPDIR; git checkout $(DEB_UPSTREAM_COMMIT); \
 	tar --exclude=.git \
 	    --exclude=.gitignore \
@@ -30,6 +42,13 @@
 	    --exclude=cpp/llvm \
 	    --exclude=cpp/ycm/tests/gmock \
 	    --exclude=python/clang_includes \
+	    --exclude=python/ycm/completers/cs/OmniSharpServer \
+	    --exclude=third_party/argparse \
+	    --exclude=third_party/bottle \
+	    --exclude=third_party/jedi \
+	    --exclude=third_party/pythonfutures \
+	    --exclude=third_party/requests \
+	    --exclude=third_party/waitress \
 	    -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz .; \
 	cd $(CURDIR); \
 	$(RM) -r $$TMPDIR
