## vim-youcompleteme 0+20150806+gitc5a5145

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,27 @@
 Priority: optional
 Maintainer: Onur Aslan <onur@onur.im>
 Build-Depends: debhelper (>= 9),
- cmake,
- python-dev,
- google-mock,
- libclang-dev (>= 3.3),
- libboost-python-dev,
- libboost-system-dev,
- libboost-filesystem-dev,
- libboost-regex-dev,
- libgtest-dev
+ dh-python,
+ python,
+ python-flake8,
+ python-hamcrest,
+ python-mock,
+ python-nose,
+ ycmd (>= 0+20150804+git6f4dbb4)
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.6
 Homepage: http://valloric.github.io/YouCompleteMe/
 Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vim-youcompleteme.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
+Architecture: all
+Depends: ${misc:Depends},
  ${python:Depends},
- python-bottle,
  python-futures,
- python-jedi,
  python-requests (>= 2.2.1),
- python-waitress,
+ python-requests-futures,
+ ycmd (>= 0+20150804+git6f4dbb4),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
