## vim-youcompleteme 0+20160327+git1b76af4

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends: debhelper (>= 9),
  dh-python,
  python,
- python-flake8,
+ flake8,
  python-hamcrest,
  python-mock,
  python-nose,
- ycmd (>= 0+20150804+git6f4dbb4)
+ python-requests,
+ python-requests-futures,
+ ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1)
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://valloric.github.io/YouCompleteMe/
-Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/vim-youcompleteme.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
 Architecture: all
@@ -23,7 +25,7 @@
  python-futures,
  python-requests (>= 2.2.1),
  python-requests-futures,
- ycmd (>= 0+20150804+git6f4dbb4),
+ ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
