=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	flake8 --select=F,C9 --max-complexity=10 python
-	PYTHONPATH=/usr/lib/ycmd nosetests -v --no-byte-compile python
+	flake8 --select=F,C9 --max-complexity=12 python
+	PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests -v --no-byte-compile python
 endif
 
 get-orig-source:
