## vim-youcompleteme 0+20161219+git194ff33

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Onur Aslan <onur@onur.im>
 Build-Depends: debhelper (>= 9),
  dh-python,
- python,
+ python3,
  flake8,
- python-hamcrest,
- python-mock,
- python-nose,
- python-requests,
- python-requests-futures,
- ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1)
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.7
+ python3-frozendict,
+ python3-future,
+ python3-hamcrest,
+ python3-mock,
+ python3-nose,
+ python3-requests,
+ python3-requests-futures,
+ ycmd (>= 0+20161219+git486b809), ycmd (<< 0+20161219+git486b809.1)
+X-Python-Version: >= 3.5
+Standards-Version: 3.9.8
 Homepage: http://valloric.github.io/YouCompleteMe/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/vim-youcompleteme.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
@@ -21,11 +23,12 @@
 Package: vim-youcompleteme
 Architecture: all
 Depends: ${misc:Depends},
- ${python:Depends},
- python-futures,
- python-requests (>= 2.2.1),
- python-requests-futures,
- ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1),
+ ${python3:Depends},
+ python3-frozendict,
+ python3-future,
+ python3-requests (>= 2.2.1),
+ python3-requests-futures,
+ ycmd (>= 0+20161219+git486b809), ycmd (<< 0+20161219+git486b809.1),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
