=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_install:
 	dh_install
@@ -22,7 +22,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	flake8 --select=F,C9 --max-complexity=12 python
-	PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests -v --no-byte-compile python
+	LC_ALL=C.UTF-8 PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests3 -v --no-byte-compile python
 endif
 
 get-orig-source:
