## vim-youcompleteme 0+20191218+git9e2ab00+ds

=== debian/changelog ===
vim-youcompleteme (0+20191218+git9e2ab00+ds-1) unstable; urgency=medium

  * Set myself as maintainer via one-year hijack (see #912690)
  * New upstream version 0+20191218+git9e2ab00
    - Advertise debian repack from git HEAD
    - Update d/copyright for 2019
    - Update patches
  * Bump Standards-Version (no change required)
  * Bump debhelper compat to 12
  * Use ycm-core namespace instead of valloric as upstream
  * Build-Depend on recent ycmd for core version 42
  * Remove pointless ancient x-python-version >= 3.5

 -- David Kalnischkies <donkult@debian.org>  Sun, 29 Dec 2019 16:40:19 +0100
