## vim-youcompleteme 0+20200314+git3108b9b+ds

=== debian/changelog ===
vim-youcompleteme (0+20200314+git3108b9b+ds-4) unstable; urgency=medium

  * Import upstream 0+20200505+git630db01+ds as patch series
    - Implement FileSave event
    - Add Auto-hover popup g:ycm_auto_hover (enabled by default)

 -- David Kalnischkies <donkult@debian.org>  Wed, 06 May 2020 08:59:46 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-3) unstable; urgency=medium

  * Import upstream 0+20200418+git367c151+ds as patch series
    - When available, use complete() and TextChangedP rather than completefunc
      to reduce flicker and noticeable redraw latency on recent vims
    - Add range and mods to YcmToggleLogs, e.g. :vertical 90YcmToggleLogs

 -- David Kalnischkies <donkult@debian.org>  Tue, 28 Apr 2020 11:01:13 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-2) unstable; urgency=medium

  * Import upstream 0-20200406-git97150c0-ds as patch
  * Use default settings from ycmd directly instead of embedding them

 -- David Kalnischkies <donkult@debian.org>  Fri, 10 Apr 2020 15:21:25 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-1) unstable; urgency=medium

  [ Jack Bates ]
  * Vim changed Provides vim-python to vim-python3

  [ David Kalnischkies ]
  * New upstream version 0+20200314+git3108b9b+ds
  * Bump year in Copyright stanzas in d/copyright
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Refresh patches removing third_party import attempts
  * Build-dep on pytest instead of nose for testing
  * Add patch to use old hamcrest API in tests

 -- David Kalnischkies <donkult@debian.org>  Sun, 15 Mar 2020 21:36:26 +0100
