=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  python3-future,
  python3-hamcrest,
  python3-mock,
- python3-nose,
+ python3-pytest,
  python3-requests,
  python3-requests-futures,
  ycmd (>= 0+20191222+git2771f6f+ds~)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://ycm-core.github.io/YouCompleteMe/
 Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
 Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme
@@ -26,7 +26,7 @@
  python3-requests (>= 2.2.1),
  python3-requests-futures,
  ycmd-core-version (= ${misc:Core-Ver}),
- vim-nox | vim-python
+ vim-nox | vim-python3
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
  YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
